import { useMemo } from 'react';
export const usePrepareDimensionsAndMeasures = (rawDimensions, rawMeasures, dimensionDefaults = {}, measureDefaults = {}) => {
    const dimensions = useMemo(() => rawDimensions.map((label) => (Object.assign(Object.assign({}, dimensionDefaults), label))), [rawDimensions, dimensionDefaults]);
    const measures = useMemo(() => rawMeasures.map((value) => (Object.assign(Object.assign({}, measureDefaults), value))), [rawMeasures, measureDefaults]);
    return { dimensions, measures };
};
