import { useMemo } from 'react';
import { getValueByDataKey } from 'recharts/lib/util/ChartUtils';
import { defaultFormatter } from '../internal/defaults';
export const usePrepareTrendMeasures = (measures, dataset) => useMemo(() => {
    const lineMeasures = [];
    const columnMeasures = [];
    const columnDataset = [];
    measures === null || measures === void 0 ? void 0 : measures.forEach((measure, index) => {
        var _a, _b;
        if (measure.type === 'bar') {
            lineMeasures.push(Object.assign(Object.assign({}, measure), { opacity: 0, hideDataLabel: true, showDot: false, formatter: defaultFormatter }));
            columnMeasures.push(Object.assign({ color: (_a = measure.color) !== null && _a !== void 0 ? _a : `var(--sapChart_OrderedColor_${(index % 11) + 1})`, formatter: defaultFormatter }, measure));
        }
        if (measure.type === 'line') {
            lineMeasures.push(Object.assign({ color: (_b = measure.color) !== null && _b !== void 0 ? _b : `var(--sapChart_OrderedColor_${(index % 11) + 1})`, formatter: defaultFormatter }, measure));
            columnMeasures.push(Object.assign(Object.assign({}, measure), { opacity: 0, hideDataLabel: true, showDot: false, formatter: defaultFormatter }));
        }
    });
    dataset === null || dataset === void 0 ? void 0 : dataset.forEach((data) => {
        const reducedLineValues = {};
        lineMeasures.forEach((line) => {
            if (line.type === 'line') {
                reducedLineValues[`__${line.accessor}`] = getValueByDataKey(data, line.accessor);
                reducedLineValues[line.accessor] = 0;
            }
        });
        columnDataset.push(Object.assign(Object.assign({}, data), reducedLineValues));
    });
    return { lineMeasures, columnMeasures, columnDataset };
}, [measures, dataset]);
