var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { Label, Loader } from '@ui5/webcomponents-react';
import { ThemingParameters } from '@ui5/webcomponents-react-base';
import React, { forwardRef } from 'react';
import { createUseStyles } from 'react-jss';
import { ResponsiveContainer } from 'recharts';
// eslint-disable-next-line no-underscore-dangle
const __testingProps__ = {};
if (process.env.NODE_ENV === 'test') {
    __testingProps__.width = 400;
    __testingProps__.height = 400;
}
const loaderStyles = {
    position: 'absolute',
    top: 0,
    left: 0,
    right: 0
};
const chartContainerStyles = {
    '@global': {
        '.has-click-handler': {
            '& .recharts-pie-sector, .recharts-bar-rectangles, .recharts-active-dot, .recharts-area-dot': {
                cursor: 'pointer'
            }
        }
    }
};
const useStyles = createUseStyles(chartContainerStyles, { name: 'ChartContainer' });
class ErrorBoundary extends React.Component {
    constructor() {
        super(...arguments);
        this.state = {
            errorCount: 0
        };
    }
    componentDidCatch() {
        if (this.state.errorCount < 3) {
            this.setState((old) => (Object.assign(Object.assign({}, old), { errorCount: old.errorCount + 1 })));
        }
    }
    render() {
        if (this.state.errorCount >= 3) {
            return React.createElement(Label, null, "Sorry, something went wrong while rendering this chart!");
        }
        return this.props.children;
    }
}
const ChartContainer = forwardRef((props, ref) => {
    const { Placeholder, loading = false, dataset, style, className, slot, children, resizeDebounce } = props, rest = __rest(props, ["Placeholder", "loading", "dataset", "style", "className", "slot", "children", "resizeDebounce"]);
    useStyles();
    const internalStyles = Object.assign({ fontSize: ThemingParameters.sapFontSmallSize, color: ThemingParameters.sapTextColor, fontFamily: ThemingParameters.sapFontFamily, width: '100%', height: '400px', position: 'relative' }, (style !== null && style !== void 0 ? style : {}));
    return (React.createElement("div", Object.assign({ ref: ref, style: internalStyles, className: className, slot: slot }, rest), (dataset === null || dataset === void 0 ? void 0 : dataset.length) > 0 ? (React.createElement(React.Fragment, null,
        loading && React.createElement(Loader, { style: loaderStyles }),
        React.createElement(ErrorBoundary, null,
            React.createElement(ResponsiveContainer, Object.assign({ debounce: resizeDebounce }, __testingProps__), children)))) : (React.createElement(Placeholder, null))));
});
ChartContainer.displayName = 'ChartContainer';
export { ChartContainer };
