import { getValueByDataKey } from 'recharts/lib/util/ChartUtils';
export const getCellColors = (element, data, index) => {
    var _a, _b, _c;
    return ((_c = (_b = (_a = element.highlightColor) === null || _a === void 0 ? void 0 : _a.call(element, getValueByDataKey(data, element.accessor), element, data)) !== null && _b !== void 0 ? _b : element.color) !== null && _c !== void 0 ? _c : `var(--sapChart_OrderedColor_${(index % 11) + 1})`);
};
let canvas;
export const getTextWidth = (text) => {
    const font = `normal 12pt "72","72full",Arial,Helvetica,sans-serif`;
    // re-use canvas object for better performance
    canvas = canvas || (canvas = document.createElement('canvas'));
    const context = canvas.getContext('2d');
    context.font = font;
    const metrics = context.measureText(text);
    return metrics.width;
};
export const truncateLongLabel = (value, length = 13) => {
    if ((value === null || value === void 0 ? void 0 : value.length) > length) {
        return `${value.slice(0, length - 2)}...`;
    }
    return value;
};
export const resolvePrimaryAndSecondaryMeasures = (measures, secondaryAxisDataKey) => {
    var _a;
    const secondaryMeasure = measures.find((measure) => measure.accessor === secondaryAxisDataKey);
    const primaryMeasure = measures[0] === secondaryMeasure ? (_a = measures[1]) !== null && _a !== void 0 ? _a : measures[0] : measures[0];
    return {
        primaryMeasure,
        secondaryMeasure
    };
};
