import { ThemingParameters } from '@ui5/webcomponents-react-base';
import React from 'react';
import { getTextWidth, truncateLongLabel } from './Utils';
export const XAxisTicks = (props) => {
    var _a;
    const { x, y, payload, config, visibleTicksCount, width, secondYAxisConfig } = props;
    const bandWidth = width / visibleTicksCount;
    const shouldRotate = bandWidth <= 100;
    const formattedValue = config.formatter(payload.value);
    let textToDisplay = formattedValue;
    if (shouldRotate) {
        textToDisplay = truncateLongLabel(formattedValue, 11);
    }
    else if (getTextWidth(formattedValue) > bandWidth) {
        for (let i = `${formattedValue}`.length; i > 0; i--) {
            textToDisplay = truncateLongLabel(formattedValue, i);
            if (getTextWidth(textToDisplay) <= bandWidth) {
                break;
            }
        }
    }
    return (React.createElement("g", { style: { direction: 'ltr' }, transform: `translate(${x},${y + (secondYAxisConfig ? 0 : 10)})` },
        React.createElement("text", { fill: (_a = secondYAxisConfig === null || secondYAxisConfig === void 0 ? void 0 : secondYAxisConfig.color) !== null && _a !== void 0 ? _a : ThemingParameters.sapContent_LabelColor, transform: shouldRotate ? 'rotate(-35)' : undefined, textAnchor: shouldRotate ? 'end' : 'middle' }, textToDisplay)));
};
